# PSF-LoginServer - master - net.psforever.objects.serverobject.affinity.FactionAffinity
PSF - LoginServer - master - net.psforever.objects.serverobject.affinity.FactionAffinity
Keywords: PSF LoginServer master net.psforever.objects.serverobject.affinity.FactionAffinity

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package affinity
  Definition Classes
    serverobject
- FactionAffinity
- FactionAffinityBehavior

o

net.psforever.objects.serverobject.affinity

# FactionAffinity 

###
Companion trait FactionAffinity

#### object FactionAffinity

Source
  FactionAffinity.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FactionAffinity
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class AssertFactionAffinity (obj: FactionAffinity, faction: types.PlanetSideEmpire.Value) extends Product with Serializable

   Message that responds to an IFF feedback request.

   Message that responds to an IFF feedback request. Transmit IFF feedback when done.

   obj

     the governed object

   faction

     the allegiance to which the object belongs

   See also

     ConfirmFactionAffinity

2.  final case class ConfirmFactionAffinity () extends Product with Serializable

   Message that makes the server object transmit IFF feedback.

   Message that makes the server object transmit IFF feedback.

   See also

     AssertFactionAffinity

3.  final case class ConvertFactionAffinity (faction: types.PlanetSideEmpire.Value) extends Product with Serializable

   Message that makes the server object change allegiance to the specified faction value.

   Message that makes the server object change allegiance to the specified faction value. Transmit IFF feedback when done.

   faction

     the allegiance to which to change

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped